---
title: "Get a file (Deprecated)"
description: "Retrieves the details of an existing temporary file."
canonical: "https://signatureapi.com/docs/api/resources/files/get"
source: "https://signatureapi.com/docs/api/resources/files/get.md"
last_verified_api_version: "1.18.0"
last_modified: "2026-11-18T17:22:42Z"
---

# Get a file (Deprecated)

Retrieves the details of an existing temporary file.

_Last verified against API version 1.18.0._

> **Deprecated:** The `/v1/files` endpoint is replaced by the [Upload resource](https://signatureapi.com/docs/api/resources/uploads/object). New integrations use [Get an upload](https://signatureapi.com/docs/api/resources/uploads/get).

Retrieves the details of an existing file, including its expiration time.

## Path Parameters

#### `file_id` (string, path, required)

The unique identifier of the file.

## Returns

Returns a `200 OK` status code along with [a file object](https://signatureapi.com/docs/api/resources/files/object) if the file exists, or an [error](https://signatureapi.com/docs/api/errors) otherwise.

### Example: Standard

```http
GET /v1/files/fil_0nZXZ8pYPByQ4XksJbDl4r HTTP/1.1
Host: api.signatureapi.com
X-API-Key: YOUR_API_KEY
```

Response 200 OK:

```json
{
  "id": "fil_0nZXZ8pYPByQ4XksJbDl4r",
  "expires_at": "2026-11-02T15:03:11.000Z"
}
```

Response 404 Not Found:

```json
{
  "type": "https://signatureapi.com/docs/v1/errors/not-found",
  "title": "Not Found",
  "status": 404,
  "detail": "File not found."
}
```

Errors that any request can return (authentication, rate limits, server errors) are on the [Errors](https://signatureapi.com/docs/api/errors) and [Authentication](https://signatureapi.com/docs/api/authentication) pages.
